<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>
  <form
    [formGroup]="generalForm"
    class="ls-form">

    <div
      *ngIf="userPreferences.showAdminIds"
      class="row">
      <div
        *ngIf="subtype.id"
        class="form-group col-6">
        <label
          for="popupIdInput"
          [innerText]="commonMessages.ID">
        </label>
        <input
          id="popupIdInput"
          class="form-control"
          type="text"
          [value]="subtype.id"
          disabled>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-6 required">
        <label
          for="popupNameInput"
          [innerText]="commonMessages.NAME">
        </label>
        <span
          class="ls-info-label"
          [innerText]="messages.getNameLabelInfo(nameMinLength, nameMaxLength)">
        </span>
        <input
          id="popupNameInput"
          class="form-control"
          type="text"
          formControlName="nameInput"
          autofocus="true"
          [(ngModel)]="subtype.name"
          required>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-6 required">
        <label
          for="popupDescriptionInput"
          [innerText]="commonMessages.DESCRIPTION">
        </label>
        <span
          class="ls-info-label"
          [innerText]="commonMessages.getMinDescriptionLabelInfo(descriptionMinLength)">
        </span>
        <input
          id="popupDescriptionInput"
          class="form-control"
          type="text"
          formControlName="descriptionInput"
          [(ngModel)]="subtype.description"
          required>
      </div>
    </div>

    <div class="form-group">
      <label [innerText]="adminTypologyMessages.ADDITIONAL_FIELDS"></label>
      <div class="custom-control custom-checkbox">
        <input
          id="isReadingMandatory"
          class="custom-control-input"
          type="checkbox"
          [(ngModel)]="subtype.readingMandatory"
          [ngModelOptions]="{standalone: true}">
        <label
          class="custom-control-label fw-normal"
          for="isReadingMandatory"
          [innerText]="adminTypologyMessages.READING_MANDATORY">
        </label>
      </div>

      <div
        *ngIf="type?.protocol === protocolEnum.None"
        class="custom-control custom-checkbox">

        <input
          id="isMultiDocuments"
          class="custom-control-input"
          type="checkbox"
          [(ngModel)]="subtype.multiDocuments"
          [ngModelOptions]="{standalone: true}">
        <label
          class="custom-control-label fw-normal"
          for="isMultiDocuments">
          {{ adminTypologyMessages.MULTI_DOCUMENTS }}
          <fa-icon
            class="ms-1"
            [icon]="infoIcon"
            [ngbTooltip]="adminTypologyMessages.MULTI_DOC_TOOLTIP">
          </fa-icon>
        </label>
      </div>
      <ng-container *ngIf="type?.protocol !== protocolEnum.Helios">
        <div class="custom-control custom-checkbox">
          <input
            id="includeAnnexes"
            class="custom-control-input"
            type="checkbox"
            [(ngModel)]="subtype.annexeIncluded"
            [ngModelOptions]="{standalone: true}">
          <label
            class="custom-control-label fw-normal"
            for="includeAnnexes"
            [innerText]="adminTypologyMessages.INCLUDE_ANNEXES">
          </label>
        </div>

        <div class="custom-control custom-checkbox">
          <input
            id="annotationsAllowed"
            class="custom-control-input"
            type="checkbox"
            [(ngModel)]="subtype.annotationsAllowed"
            [ngModelOptions]="{standalone: true}">
          <label
            class="custom-control-label fw-normal"
            for="annotationsAllowed"
            [innerText]="adminTypologyMessages.ANNOTATIONS_ALLOWED">
          </label>
        </div>
      </ng-container>

    </div>

  </form>
</div>
